
%global meadversion 1.5.3
%global namedversion 1.5.3.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-invocation}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.5.3.Final-redhat-00001

Name:           %{?scl_prefix}jboss-invocation
Summary:        Invocation API
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jboss-invocation-1.5.3.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-invocation-1.5.3.Final-redhat-00001-sources.jar
Source103: jboss-invocation-1.5.3.Final-redhat-00001.jar
Source104: jboss-invocation-1.5.3.Final-redhat-00001-javadoc.jar
Source105: jboss-invocation-1.5.3.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://github.com/jbossas/jboss-invocation.git
Epoch: 0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-invocation-%{namedversion}-%{release}-root

%description
Invocation Application Programming Interface

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-invocation
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-invocation-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
#jars
%{__cp} -p %{_sourcedir}/jboss-invocation-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-invocation-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-invocation-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-invocation-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-invocation-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-invocation-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

%if %with javadoc
#javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-invocation-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-invocation-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-invocation-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-invocation-%{namedversion} %{buildroot}%{_javadocdir}/jboss-invocation
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-invocation
%defattr(0644,root,root,0755)
%{_javadir}/jboss-invocation-%{namedversion}.jar
%{_javadir}/jboss-invocation.jar
%if %with javadoc
%{_javadir}/jboss-invocation-%{namedversion}-javadoc.jar
%{_javadir}/jboss-invocation-javadoc.jar
%endif
%{_javadir}/jboss-invocation-%{namedversion}-sources.jar
%{_javadir}/jboss-invocation-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-invocation-%{namedversion}
%{_javadocdir}/jboss-invocation
%endif

%changelog
* Fri Jul 31 2020 Yong Yang <yyang@redhat.com> - 1.5.3-1.Final_redhat_00001.1
- RPM wrapper build 1.5.3.Final-redhat-00001

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 1.5.2-1.Final_redhat_00001.1
- 1.5.2.Final_redhat_00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.5.1-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.5.1-1.Final_redhat_1.1
- upgrade to 1.5.1.Final-redhat-1

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.5.1-1.Final_redhat_1.1
- upgrade to 1.5.1.Final-redhat-1

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.5.0-5.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Aug 21 2017 Petr Sakar <psakar@redhat.com> - 1.5.0-4.Final_redhat_1.1
- upgrade to 1.5.0.Final-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.5.0-3.CR1_redhat_1.1
- upgrade to 1.5.0.CR1-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.5.0-2.Beta4_redhat_1.1
- upgrade to 1.5.0.Beta4-redhat-1

* Thu Dec 15 2016 Petr Sakar <psakar@redhat.com> - 1.5.0-1.Beta1_redhat_1.1
- upgrade to 1.5.0.Beta1-redhat-1

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 1.4.1-1.Final_redhat_1.1
- Upgrade to 1.4.1.Final-redhat-1

* Mon Jul 01 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.2-1.Final_redhat_1
- Upgrade to 1.1.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-5.Final_redhat_2.4
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:1.1.1-4.Final_redhat_2.4
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1.1-4.Final_redhat_1
- Remove javadocs from main package

* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> 1.1.1-3.Final_redhat_1
- Re run vman to use jboss-parent:8-redhat-1

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> 1.1.1-2.Final_redhat_1.1
- Change jars install path
- Builds javadoc subpackage

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-2
- Populate avadir-signed

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-1
- Wrap MEAD build for EAP 6
